const statusCode = require("../utils/statusCodes").statusCodes;
const { getMessages } = require("../db/api.js");

async function messages(body, res) {
    const { roomId } = body;
    getMessages(roomId).then((messages) => {
        res.status(statusCode.OK).json(messages.data);
    }).catch((err) => {
        console.log(err)
        res.status(statusCode.INTERNAL_SERVER_ERROR);
    });
}

module.exports = {
    messages,
};
